﻿<!DOCTYPE html>
<html lang="zh-tw">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>FUNDAY 音樂盒 - 配音挑戰</title>
        <meta http-equiv="Content-type" content="text/html;charset=UTF-8" />
        <meta name="description" content="" />
        <meta name="keywords" content="" />

        <!-- Favicon -->
        <link
            rel="shortcut icon"
            href="images/web_icon/favicon.ico"
            type="image/x-icon"
        />

        <!-- Font awesome -->
        <link href="assets/css/font-awesome.css" rel="stylesheet" />
        <!-- Bootstrap -->
        <link href="assets/css/bootstrap.css" rel="stylesheet" />
        <!-- Main style sheet -->
        <link href="assets/css/style.css" rel="stylesheet" />
        <!-- Video RWD Fix -->
        <link rel="stylesheet" href="assets/css/video_rwd_fix.css" />

        <!-- Google Fonts -->
        <link
            href="https://fonts.googleapis.com/css?family=Montserrat:400,700"
            rel="stylesheet"
            type="text/css"
        />
        <link
            href="https://fonts.googleapis.com/css?family=Roboto:400,400italic,300,300italic,500,700"
            rel="stylesheet"
            type="text/css"
        />
        <link
            rel="stylesheet"
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
        />
        <!-- jq & bootstrap js -->
        <script src="assets/js/jquery.min.js"></script>
        <script src="assets/js/bootstrap.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.24.0/axios.min.js"></script>

        <!--fb sdk -->
        <script>
            window.fbAsyncInit = function () {
                FB.init({
                    appId: "665238693494101",
                    autoLogAppEvents: true,
                    xfbml: true,
                    version: "v12.0",
                });
                // FB.AppEvents.logPageView();
            };
        </script>
        <script
            async
            defer
            crossorigin="anonymous"
            src="https://connect.facebook.net/en_US/sdk.js"
        ></script>
        <script src="//cdn.jsdelivr.net/npm/eruda"></script>
        <script>
            eruda.init();
        </script>
    </head>
    <body class="video_page dubbing_page">
        <div class="all_wrap" id="app" v-cloak>
            <!--header-->
            <div id="header">
                <a id="logo" href="./"
                    ><span class="img"
                        ><img
                            src="images/web_icon/LOGO.svg"
                            alt="FUNDAY" /></span
                    ><span class="txt">音樂盒</span></a
                >
                <!--這裏的連結請到myjs.js裏去調整-->
                <div id="join_button">
                    <a href="#" data-toggle="modal" data-target="#myModal01"
                        >免費加入</a
                    >
                </div>
                <div id="menu">
                    <span class="my_collect"
                        ><a href="video_collect.html">我的收藏</a></span
                    >
                    <span class="logout"
                        ><a href="#" id="logout"> 登出</a></span
                    >
                </div>
            </div>
            <!--main-body-->
            <div id="main-body">
                <!-- <div id="sidebar">
      <div class="navbar_button"></div>
      <ul class="channel_list">
        <li><a href="#">POP 流行樂</a></li>
        <li><a href="#">EDM 電音</a></li>
        <li><a href="#">HIP-HOP 嘻哈樂</a></li>
        <li><a href="#">Rap 饒舌樂</a></li>
        <li><a href="#">R&B 節奏藍調</a></li>
        <li><a href="#">Rock 搖滾音樂</a></li>
        <li><a href="#">Jazz 爵士樂</a></li>
        <li><a href="#">Folk/Country 民歌</a></li>
        <div class="recommend"> <a href="#"  data-toggle="modal" data-target="#myModal09" ><img src="images/web_icon/recommend_icon.svg">我要推薦</a> </div>
      </ul>
    </div> -->

                <div id="video_frame">
                    <!--這邊是影音部份-->
                    <div id="video_frame_top">
                        <div class="countDown_wrapper none"></div>
                        <div class="countDown none">
                            <img class="countDownImg" src="" alt="" />
                        </div>
                        <div id="video_playing">
                            <!-- youtube iframe -->
                            <div style="width: 95%">
                                <div id="player_wrap">
                                    <iframe
                                        type="text/html"
                                        :src="ytUrl"
                                        width="100%"
                                        frameborder="0"
                                        id="player"
                                        allow="autoplay; encrypted-media"
                                        allowfullscreen
                                        enablejsapi="1"
                                    >
                                    </iframe>
                                </div>
                            </div>
                            <!--這一塊是撥放器-->
                            <div class="video_bar">
                                <div class="time_bar">
                                    <div class="go_time">{{currentTime}}</div>
                                    <div class="allTime_bar">
                                        <span class="goTime_bar"></span>
                                    </div>
                                    <div class="end_time">{{allTime}}</div>
                                </div>
                            </div>
                        </div>

                        <div class="function_area">
                            <!--字幕放這裏-->
                            <div class="subtitle">
                                <div class="sentence_scroll">
                                    <div
                                        class="sentence"
                                        v-for="(item,index) in songDetal"
                                        :data-seek="parseFloat(Math.round(item.time.split(':')[0]))*60 + parseFloat(parseFloat(item.time.split(':')[1]).toFixed(2))"
                                        :data-start="startTimeArr[index]"
                                        :data-count="index+1"
                                        :class="{'now':nowPlaying == index}"
                                    >
                                        <div class="en">
                                            {{item.en_content}}
                                        </div>
                                        <div class="tw">
                                            {{item.ch_content}}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- 操作功能 -->
                            <div class="tool_bar">
                                <!-- 錄音按鈕 -->
                                <div class="function01">
                                    <div class="time_now none">
                                        <span>．</span>{{currentTime}}
                                    </div>
                                    <div
                                        class="buootn stop none stopBtn"
                                        @click="recEnd"
                                    >
                                        <a href="#">停止錄製</a>
                                    </div>
                                    <div
                                        class="buootn todo_Go startBtn"
                                        @click="goRec"
                                    >
                                        <a href="#">開始歡唱</a>
                                    </div>
                                </div>

                                <!-- 播放/上傳按鈕 -->
                                <div class="function02 none">
                                    <div class="left">
                                        <div class="buootn repeat">
                                            <a
                                                href="#"
                                                @click="repeatMode($event)"
                                                >單句重複</a
                                            >
                                        </div>
                                    </div>
                                    <div class="center">
                                        <div class="buootn same">
                                            <span
                                                class="cut01"
                                                @click="playMode(1)"
                                                ><a href="#">同步聲音</a></span
                                            >
                                            <span
                                                @click="playMode(2)"
                                                class="cut02"
                                                style="display: none"
                                                ><a href="#">錄音聲音</a></span
                                            >
                                            <span
                                                @click="playMode(0)"
                                                class="cut03"
                                                style="display: none"
                                                ><a href="#">影片聲音</a></span
                                            >
                                        </div>
                                        <div class="play_bar">
                                            <!-- 播放 切換上下首 -->
                                            <span class="prev" @click="fnGoPrev"
                                                ><img
                                                    src="images/web_icon/play_bar_prev.svg"
                                            /></span>
                                            <span class="Play">
                                                <i
                                                    v-if="playstate==0"
                                                    @click="fnPlay(1)"
                                                    id="play_btn"
                                                    class="far fa-play-circle"
                                                ></i>
                                                <i
                                                    v-if="playstate==1"
                                                    @click="fnPlay(0)"
                                                    id="play_btn"
                                                    class="far fa-pause-circle"
                                                ></i>
                                            </span>
                                            <span class="next" @click="fnGoNext"
                                                ><img
                                                    src="images/web_icon/play_bar_next.svg"
                                            /></span>
                                        </div>
                                        <div
                                            class="buootn upload"
                                            @click="uploadFile"
                                        >
                                            <a href="#">上傳檔案</a>
                                        </div>
                                    </div>
                                    <div class="right">
                                        <div
                                            class="buootn todo_Go"
                                            @click="reRec"
                                        >
                                            <a href="#">開始歡唱</a>
                                        </div>
                                    </div>
                                </div>
                                <div id="audioBox" class="none"></div>
                                <div id="uploadProgress" class="none">
                                    上傳{{progress}}
                                </div>
                            </div>
                            <!-- 操作功能 -->
                        </div>
                    </div>
                    <!-- 以下相關推薦 -->
                    <div id="video_frame_bottom">
                        <div class="category_videos">
                            <div class="video_category ca01">
                                <div class="ga_title">相關推薦</div>
                                <div class="video_items">
                                    <div class="items_list">
                                        <!-- item -->
                                        <div
                                            class="item"
                                            v-for="(item,index) in videoList"
                                        >
                                            <div class="video_img">
                                                <a
                                                    :href="`video.html?categoryId=${categoryId}&videoId=${item.Id}`"
                                                    ><img
                                                        :src="item.Pic"
                                                        class="img"
                                                /></a>
                                            </div>
                                            <div class="tool_bar">
                                                <div class="subtitles">
                                                    <a href="#">中文字幕</a>
                                                </div>
                                                <div
                                                    class="teacher"
                                                    v-if="item.Tutor==1"
                                                >
                                                    <a href="#">老師解說</a>
                                                </div>
                                                <div class="blank"></div>
                                                <div class="number video_icon">
                                                    <img
                                                        src="images/web_icon/video_icon.svg"
                                                        class="icon"
                                                    /><span class="digi"
                                                        >{{item.Recordings}}</span
                                                    >
                                                    次
                                                </div>
                                                <div class="number view_icon">
                                                    <img
                                                        src="images/web_icon/view_icon.svg"
                                                        class="icon"
                                                    /><span class="digi"
                                                        >{{item.Clicks}}</span
                                                    >
                                                    次
                                                </div>
                                                <div
                                                    class="heart"
                                                    :class="{favorites : item.Bookmark==1 }"
                                                ></div>
                                            </div>
                                            <div class="title">
                                                <span class="song_title"
                                                    >{{item.Title}}</span
                                                >
                                                <span class="singer"
                                                    ><a href="#"
                                                        >{{item.Singer}}</a
                                                    ></span
                                                >
                                            </div>
                                        </div>
                                        <!-- item -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!--footer-->
            <div id="footer">
                <div class="copyright">
                    © 2021 Brainstorm Digital Communications Corp. All rights
                    reserved.Privacy Policy
                </div>
            </div>
        </div>

        <!--以下是彈跳出來的視窗  （Modal） -->
        <!--免費加入#myModal01-->
        <div
            class="modal fade login_page"
            id="myModal01"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog">
                <div class="modal-content">
                    <div id="page-body">
                        <div id="top_bar">
                            <div class="icon_pre"></div>
                            <div class="icon_close">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    ><img
                                        src="images/web_icon/top_bar_close.svg"
                                /></a>
                            </div>
                        </div>
                        <div id="login_body">
                            <div class="logo">
                                <img
                                    src="images/web_icon/LOGO.svg"
                                    width="110px"
                                />
                            </div>
                            <div class="slogin">加入會員享有完整功能</div>
                            <div class="form_body">
                                <div class="login_way mail">
                                    <a
                                        href="#"
                                        data-dismiss="modal"
                                        aria-hidden="true"
                                        data-toggle="modal"
                                        data-target="#myModal02"
                                        class="use_mail"
                                        >使用電子信箱加入</a
                                    >
                                </div>
                                <div class="login_way fb" id="fb-signin">
                                    <a href="#">使用Facebook加入</a>
                                </div>
                                <!-- id="fb-signin" data-dismiss="modal" aria-hidden="true" data-toggle="modal" data-target="#myModal06" -->
                            </div>
                            <div class="form_bottom">
                                <a
                                    class="login_now"
                                    href=""
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal07"
                                    >已是會員 立即登入</a
                                >
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--使用電子信箱加入#myModal02-->
        <div
            class="modal fade login_page"
            id="myModal02"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog">
                <div class="modal-content">
                    <div id="page-body">
                        <div id="top_bar">
                            <div class="icon_pre">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal01"
                                    ><img src="images/web_icon/top_bar_pre.svg"
                                /></a>
                            </div>
                            <div class="icon_close">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    ><img
                                        src="images/web_icon/top_bar_close.svg"
                                /></a>
                            </div>
                        </div>
                        <div id="login_body">
                            <div class="logo">
                                <img
                                    src="images/web_icon/LOGO.svg"
                                    width="110px"
                                />
                            </div>
                            <div class="slogin">加入會員享有完整功能</div>
                            <div class="form_body">
                                <form
                                    action=""
                                    method="get"
                                    name="login_form"
                                    class="login_form"
                                >
                                    <div class="input">
                                        <input
                                            name="account_mail"
                                            type="text"
                                            placeholder="帳號(信箱)"
                                        />
                                    </div>
                                    <div class="input">
                                        <input
                                            name="account_mobile"
                                            type="password"
                                            placeholder="手機(密碼)"
                                        />
                                        <br />
                                        請填寫正確手機號碼以取得簡訊驗證碼，完成加入
                                    </div>
                                    <div class="row">
                                        <div class="input col-xs-8">
                                            <input
                                                name="account_name"
                                                type="text"
                                                placeholder="中文姓名"
                                            />
                                        </div>
                                        <div class="radio col-xs-4">
                                            <label>
                                                <input
                                                    type="radio"
                                                    value="01"
                                                    name="account_gender"
                                                />
                                                <span>男</span>
                                            </label>
                                            <label>
                                                <input
                                                    type="radio"
                                                    value="01"
                                                    name="account_gender"
                                                />
                                                <span>女</span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="button sign-in">
                                        <input
                                            name="join_in"
                                            type="button"
                                            value="加入"
                                        />
                                    </div>
                                </form>
                            </div>
                            <div class="form_bottom">
                                加入即代表同意FUNDAY的服務
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal05"
                                    >條款與隱私權</a
                                >
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--簡訊驗證 #myModal03-->
        <div
            class="modal fade login_page"
            id="myModal03"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog">
                <div class="modal-content">
                    <div id="page-body">
                        <div id="top_bar">
                            <div class="icon_pre">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal02"
                                    ><img src="images/web_icon/top_bar_pre.svg"
                                /></a>
                            </div>
                            <div class="icon_close">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    ><img
                                        src="images/web_icon/top_bar_close.svg"
                                /></a>
                            </div>
                        </div>
                        <div id="login_body">
                            <div class="logo">
                                <img
                                    src="images/web_icon/LOGO.svg"
                                    width="110px"
                                />
                            </div>
                            <div class="slogin">簡訊驗證</div>
                            <div class="form_body">
                                <form
                                    action=""
                                    method="get"
                                    name="login_form"
                                    class="login_form"
                                >
                                    <div class="input">
                                        <input
                                            name="account_mobile"
                                            type="text"
                                            placeholder="請輸入簡訊驗證碼"
                                        />
                                        <br />
                                        收到簡訊驗證碼後，請於30分鐘內完成加入。超過30分鐘，驗證碼即失效
                                    </div>
                                    <div class="button">
                                        <input
                                            name="join_in"
                                            id="sign-in-success"
                                            type="submit"
                                            value="加入完成"
                                        />
                                    </div>
                                    <div class="button">
                                        <input
                                            name="change"
                                            id="sign-in-changePhone"
                                            type="submit"
                                            value="修改手機號碼"
                                            class="change"
                                        />
                                        <!--  data-dismiss="modal" aria-hidden="true" data-toggle="modal" data-target="#myModal04" -->
                                    </div>
                                </form>
                            </div>
                            <div class="form_bottom"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--修改手機號碼  #myModal04-->
        <div
            class="modal fade login_page"
            id="myModal04"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog">
                <div class="modal-content">
                    <div id="page-body">
                        <div id="top_bar">
                            <div class="icon_pre">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal03"
                                    ><img src="images/web_icon/top_bar_pre.svg"
                                /></a>
                            </div>
                            <div class="icon_close">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    ><img
                                        src="images/web_icon/top_bar_close.svg"
                                /></a>
                            </div>
                        </div>
                        <div id="login_body">
                            <div class="logo">
                                <img
                                    src="images/web_icon/LOGO.svg"
                                    width="110px"
                                />
                            </div>
                            <div class="slogin">修改手機號碼</div>
                            <div class="form_body">
                                <form
                                    action=""
                                    method="get"
                                    name="login_form"
                                    class="login_form"
                                >
                                    <div class="row">
                                        <div class="input col-xs-7">
                                            <input
                                                id="new_mobile_number"
                                                name="new_mobile_number"
                                                type="text"
                                                placeholder="新手機號碼"
                                            />
                                        </div>
                                        <div class="button col-xs-5">
                                            <input
                                                id="change_phone_send_sms"
                                                name="send"
                                                type="button"
                                                value="發送驗證碼"
                                                class="send"
                                            />
                                        </div>
                                    </div>
                                    <div class="input">
                                        <input
                                            name="account_mobile"
                                            type="text"
                                            placeholder="請輸入簡訊驗證碼"
                                        />
                                        <br />
                                        收到簡訊驗證碼後，請於30分鐘內完成加入。超過30分鐘，驗證碼即失效
                                    </div>
                                    <div class="button">
                                        <input
                                            name="join_in"
                                            id="sign-in-success-changephone"
                                            type="submit"
                                            value="加入完成"
                                        />
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--條款與隱私權   #myModal05-->
        <div
            class="modal fade login_page"
            id="myModal05"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog">
                <div class="modal-content">
                    <div id="page-body" class="doc">
                        <div id="top_bar">
                            <div class="icon_pre">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal02"
                                    ><img src="images/web_icon/top_bar_pre.svg"
                                /></a>
                            </div>
                            <div class="icon_close">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    ><img
                                        src="images/web_icon/top_bar_close.svg"
                                /></a>
                            </div>
                        </div>
                        <div id="login_body">
                            <div class="slogin">隱私權政策</div>
                            <div class="doc_con">
                                <p>
                                    為了讓您詳細瞭解，Funday網站如何蒐集、應用及保護您所提供的個人資訊，請您詳細閱讀以下隱私保護政策，可以幫助您瞭解在使用Funday網站所提供的多項服務時，我們如何處理您的個人資料。<br />
                                    如果您對於Funday隱私權聲明之相關事項有任何疑問，煩請與Funday客服人員聯絡，Funday將儘快為您回覆說明。
                                </p>
                                <h3>一、個人資料之蒐集</h3>
                                <p>
                                    1. 會員註冊<br />
                                    當您註冊成為Funday會員時，Funday會詢問您的個人資訊，包括姓名、性別、電子郵件、生日、手機…等。申請註冊後，您將收到一組手機驗證碼，於網頁完成驗證程序後，即可開始使用Funday提供的會員服務。<br />
                                </p>
                                <p>
                                    2.購買學習方案<br />
                                    Funday提供經濟實惠的線上學習課程。當您欲購買學習方案時，您必須加人Funday
                                    VIP會員，並於訂購單中填妥您的個人基本資料（包含：姓名、電話、地址等）；如您選擇以信用卡方式付费，您必須提供信用卡資料，以便迅速完成購買程序。而上述資料，我們將會加密儲存在一個安全的伺服器中。
                                </p>
                                <p>
                                    3.活動及問卷調查<br />
                                    當您參加Funday活動，或Funday與其商業合作夥伴主辦的抽獎、競賽、促銷活動，或問卷調查時Funday會依照活動的需要，請您提供姓名、電話及電子信箱等個人資料。
                                </p>
                                <p>
                                    4. 社群與客服服務<br />
                                    除了您主動提供的個人資料之外，您也可能在Funday網站中的討論區、留言板、等主動提供個人資料，然而此類型資料，將不在Funday隱私權保護政策的範圍之內。此外，如果您與Funday服務信箱聯繫或反應您的意見時，我們將會保存您的通訊記錄。
                                </p>
                                <p>
                                    5. 廣告刊登<br />
                                    Funday網站內可能包含許多連結及其他合作夥伴所提供的服務，或是刊登廣告之廠商，也可能蒐集您的個人資料。當您參加非Funday舉辦的活動時，您主動提供的個人資訊，將屬於該等連結網站或合作夥伴網站的隱私權聲明及與個人資料保護有關之告知事項，Funday亦不負任何連帶責任。
                                </p>
                                <p>
                                    6.其它<br />
                                    Funday網站會保留您在上網瀏覽或查詢時，伺服器自行產生的相關記錄，包括您使用的連線設備IP位址、使用時間、使用的瀏覽器、瀏覽及點選資料記錄等。Funday網站會對個別連線者的瀏覽器予以標示歸納使用者瀏覽器在Funday網站內部所瀏覽的網頁，除非您願意告知你的個人資料，否則Funday網站不會、也無法將此項記錄和您對應。
                                </p>
                                <h3>二、蒐集個人資料之目的與運用</h3>
                                <p>
                                    1.個人化服務：<br />
                                    為提供會員專屬的數位學習服務，Funday將蒐集您的個人資料，不但可以便利的提供會員服務外，也可針對會員需求傳送更具相關性的內容。除此之外，更可藉此資訊，持續提升符合會員使用需求之服務，進而提升服務品質。
                                </p>
                                <p>
                                    2. 活動與問卷調查：<br />
                                    Funday為了行銷、客戶管理與服務及其他電子商務服務…等目的，依照各項服務之性質，可能蒐集您的個人資料（包含：姓名、聯絡電話、雷子信箱等），但僅作為通知聯繫用途。除非經由您的同意，否則其資料僅止於Funday內部分析之用，不會將資訊轉做其它用途，更不會公佈其它與您相關之個人資訊。
                                </p>
                                <p>
                                    3，統計與分析：<br />
                                    為提升服務品質，Funday會依照所提供的服務性質，記錄使用者的IP位址、以及在Funday網站內的瀏覽活動，但是這些資料僅供作流量分析和網路行為調查，以便於改善Funday的服務品質，這些資料也只是總量上的分析，不會與特定個人相連。<br />
                                </p>
                                <h3>三、與第三者共用個人資料</h3>
                                <p>
                                    一般說來，除非得到您的同意或在某些特殊情形（例如法律所要求）或下列情形之一，Funday不會揭露、轉售、交換、出租您的個人資料給任何其他團體或個人。為了提供您其它服務或優惠權益，而需要與提供該服務或優惠之第三者共用您的資料時，Funday會在活動時提供說明，您可以自由潠擇是否接受這項特定的服務或優惠，基於下列情形，Funday會在本政策原則之下，與第三者共用您的個人資料。
                                </p>
                                <p>
                                    1商業合作夥伴和贊助商<br />
                                    在Funday網站上的促銷活動可能是由Funday以外的公司單獨主辦，或是Funday與其他公司共同合辦，Funday網站可能將您的個人資料與商業合作夥伴或贊助商共享使用的方式及細節，請參閱各活動和促銷規則。
                                </p>
                                <p>
                                    2.廣告商<br />
                                    廣告商或與Funday連結的網站也可能會蒐集您的個人識別資料。而連結到Funday的網站，其資料處理措施不適用本隱私聲明。與廣告商主辦或合辦的活動中，主辦廣告商將有可能請您提供額外的資料，若您同意提供資料，即視為同意Funday將您的個人資料傳輸給廣告商。
                                </p>
                                <p>
                                    3.其他<br />
                                    在特殊情形下，當有人可能達反Funday會員條款，或者可能損害、妨礙Funday權益時，Funday使用者或因前述行為可能受害之任何人（不論是無意或是有意的），只要Funday需為辨識、連絡或對該人採取必要法律行動時，Funday得以揭露該使用者資料。同時，基於善意相信揭露用戶資料為法律需要，或為維護和改進產品、服務而用於管理或其他目的時，Funday亦可揭露或讀取用戶資料。<br />
                                    此外，司法單位因公眾安全，要求Funday公開特定個人資料時，Funday將依司法單位合法正式的程序，以及對Funday所有使用者安全考量下做可能必要的配合。
                                </p>
                                <h3>四、個人資料讀取、更新和刪除</h3>
                                <p>
                                    當您註冊成為Funday會員後，您隨時可以利用您的Funday帳號和密碼修改您的個人資料（如暱稱、電話、電子郵件信箱…等），以及管理個人社群頁面。如果您忘記了密碼，煩請來信或來電與我們的客服人員聯繫。如果您欲刪除帳號並放棄免費試用，煩請您來電與我們的客服人員聯繫，以便驗證核實帳號擁有權，進行帳號刪除作業。
                                </p>
                                <h3>五、個人資料的安全防範措施</h3>
                                <p>
                                    Funday將以合於產業標準之合理技術及程序，維護使用者個人資料之安全。<br />
                                    所有Funday會員帳戶資料和網路身份檔案資料均有密碼保護，只有使用者本人才能讀取個人資料。使用者可以利用Funday會員帳號和密碼，來修改Funday會員資料和Funday網路身份檔案資料，亦可決定公開或隱藏你部份或全部的個人資料。<br />
                                    請妥善保管Funday會員帳號、密碼及任何個人資料，勿將個人資料及密碼提供給任何人。當帳戶使用完畢後，務必記得登出會員帳戶，若是與他人共享電腦或使用公共電腦，切記要關閉瀏覽器視窗，以防止他人讀取您的個人資料。<br />
                                    另外，為保護您的個人資料檔案及學習記錄，經開啟後的網頁，若持續一段時間未使用，系統會自動將其登出。<br />
                                    煩請特別留意，Funday不會在未經同意的電話或電子郵件中詢問您的密碼。
                                </p>
                                <h3>六、Cookie功能說明</h3>
                                <p>
                                    為提供使用者方便順暢瀏覽Funday網站，我們使用Cookie技術來存儲與追蹤某些與使用者有閼的資料以便於提供更適合使用者的個人化服務。Cookie是當使用者來到Funday時，儲存在使用者的伺服器成個人電腦硬碟中的一個純文字檔，此檔案可幫助Funday辨識使用者身份。使用者可以經由瀏覽器的設定，取消、或限制此項功能，但可能因此無法使用部份網站功能。
                                </p>
                                <h3>七、修訂之權利</h3>
                                <p>
                                    Funday有權隨時修訂本隱私權聲明及相關告知事項，並得於修訂後公佈在Funday網站上之適當位置，不另行個别通知，你可以隨時在Funday網站上詳閱修訂後的隱私權聲明及相關告知事項。
                                </p>
                            </div>
                            <div class="form_bottom"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!--使用Facebook登入#myModal06-->
        <div
            class="modal fade login_page"
            id="myModal06"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog">
                <div class="modal-content">
                    <div id="page-body">
                        <div id="top_bar">
                            <div class="icon_pre">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal01"
                                    ><img src="images/web_icon/top_bar_pre.svg"
                                /></a>
                            </div>
                            <div class="icon_close">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    ><img
                                        src="images/web_icon/top_bar_close.svg"
                                /></a>
                            </div>
                        </div>
                        <div id="login_body">
                            <div class="logo">
                                <img
                                    src="images/web_icon/LOGO.svg"
                                    width="110px"
                                />
                            </div>
                            <div class="slogin">使用Facebook登入</div>
                            <div class="form_body">
                                <form
                                    action=""
                                    method="get"
                                    name="login_form"
                                    class="login_form"
                                >
                                    <div class="input">
                                        <input
                                            name="account_mobile"
                                            type="password"
                                            placeholder="手機(密碼)"
                                        />
                                        <br />
                                        請填寫正確手機號碼以取得簡訊驗證碼，完成加入
                                    </div>
                                    <div class="row">
                                        <div class="input col-xs-8">
                                            <input
                                                name="account_name"
                                                type="text"
                                                placeholder="中文姓名"
                                            />
                                        </div>
                                        <div class="radio col-xs-4">
                                            <label>
                                                <input
                                                    type="radio"
                                                    value="01"
                                                    name="account_gender"
                                                />
                                                <span>男</span>
                                            </label>
                                            <label>
                                                <input
                                                    type="radio"
                                                    value="01"
                                                    name="account_gender"
                                                />
                                                <span>女</span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="button">
                                        <input
                                            name="join_in"
                                            id="fb-signin-submit"
                                            type="button"
                                            value="加入"
                                        />
                                        <!-- data-dismiss="modal" aria-hidden="true" data-toggle="modal" data-target="#myModal03" -->
                                    </div>
                                </form>
                            </div>
                            <div class="form_bottom">
                                加入即代表同意FUNDAY的服務
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal05"
                                    >條款與隱私權</a
                                >
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--登入 #myModal07-->
        <div
            class="modal fade login_page"
            id="myModal07"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog">
                <div class="modal-content">
                    <div id="page-body">
                        <div id="top_bar">
                            <div class="icon_pre">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal01"
                                    ><img src="images/web_icon/top_bar_pre.svg"
                                /></a>
                            </div>
                            <div class="icon_close">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    ><img
                                        src="images/web_icon/top_bar_close.svg"
                                /></a>
                            </div>
                        </div>
                        <div id="login_body">
                            <div class="logo">
                                <img
                                    src="images/web_icon/LOGO.svg"
                                    width="120px"
                                />
                            </div>
                            <div class="form_body">
                                <form
                                    action=""
                                    method="get"
                                    name="login_form"
                                    class="login_form"
                                >
                                    <div class="input">
                                        <input
                                            id="login_account"
                                            name="account_mail"
                                            type="text"
                                            placeholder="帳號(信箱)"
                                            autocomplete="on"
                                        />
                                    </div>
                                    <div class="input">
                                        <input
                                            id="login_pass"
                                            name="account_mobile"
                                            type="password"
                                            placeholder="手機(密碼)"
                                            autocomplete="on"
                                        />
                                        <br />
                                        <div class="checkbox">
                                            <label>
                                                <input
                                                    type="checkbox"
                                                    value="01"
                                                    id="rememberCheck"
                                                />
                                                <span>記住我</span>
                                            </label>
                                        </div>
                                    </div>
                                    <div class="button login-in">
                                        <input
                                            id="login_by_mail"
                                            name="join_in"
                                            type="button"
                                            value="登入"
                                        />
                                        <input
                                            id="login_by_fb"
                                            class="fb-in"
                                            name="join_in"
                                            type="button"
                                            value="使用Facebook登入"
                                        />
                                    </div>
                                </form>
                            </div>
                            <div class="form_bottom">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal08"
                                    >忘記密碼？</a
                                >
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!--忘記密碼#myModal08-->
        <div
            class="modal fade login_page"
            id="myModal08"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog">
                <div class="modal-content">
                    <div id="page-body">
                        <div id="top_bar">
                            <div class="icon_pre">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    data-toggle="modal"
                                    data-target="#myModal07"
                                    ><img src="images/web_icon/top_bar_pre.svg"
                                /></a>
                            </div>
                            <div class="icon_close">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    ><img
                                        src="images/web_icon/top_bar_close.svg"
                                /></a>
                            </div>
                        </div>
                        <div id="login_body">
                            <div class="logo">
                                <img
                                    src="images/web_icon/LOGO.svg"
                                    width="120px"
                                />
                            </div>
                            <div class="slogin">忘記密碼</div>
                            <div class="form_body">
                                <form
                                    action=""
                                    method="get"
                                    name="login_form"
                                    class="login_form"
                                >
                                    <div class="input">
                                        <input
                                            name="account_mail"
                                            id="forgot_account_mobile"
                                            type="text"
                                            placeholder="請輸入您的手機號碼"
                                        />
                                        <br />
                                        <div class="note">
                                            簡訊會直接寄送密碼至您註冊的手機
                                        </div>
                                    </div>
                                    <div class="button resend_pw">
                                        <input
                                            name="join_in"
                                            type="button"
                                            value="送出"
                                        />
                                    </div>
                                </form>
                            </div>
                            <div class="form_bottom"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!--推薦我們#myModal09-->
        <div
            class="modal fade login_page"
            id="myModal09"
            tabindex="-1"
            role="dialog"
            aria-labelledby="myModalLabel"
            aria-hidden="true"
        >
            <div class="modal-dialog">
                <div class="modal-content">
                    <div id="page-body">
                        <div id="top_bar">
                            <div class="icon_pre"></div>
                            <div class="icon_close">
                                <a
                                    href="#"
                                    data-dismiss="modal"
                                    aria-hidden="true"
                                    ><img
                                        src="images/web_icon/top_bar_close.svg"
                                /></a>
                            </div>
                        </div>
                        <div id="login_body">
                            <div class="logo">推薦我們</div>
                            <div class="slogin">
                                找不到想聽的歌曲嗎？<span
                                    >歡迎留言寫下<b>歌曲及歌手名稱</b></span
                                ><br />
                                將有機會優先為您上架哦
                            </div>
                            <div class="form_body">
                                <form
                                    action=""
                                    method="get"
                                    name="login_form"
                                    class="login_form"
                                >
                                    <div class="input">
                                        <textarea
                                            name="my_recommend"
                                            cols=""
                                            rows=""
                                        ></textarea>
                                    </div>
                                    <div class="button login-in">
                                        <input
                                            id="sendRecommendMail"
                                            name="join_in"
                                            type="button"
                                            value="送出"
                                        />
                                    </div>
                                </form>
                            </div>
                            <div class="form_bottom"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /.modal結束 -->
    </body>
    <!-- myjs -->
    <script>
        const user_id = sessionStorage.getItem("mindx");

        if (user_id) {
            $("#header #join_button").hide();
            $("#header #menu").show();
        } else {
            $("#header #join_button").show();
            $("#header #menu").hide();
        }
    </script>
    <script src="assets/js/recorder.mp3.min.js"></script>
    <script src="assets/js/extensions/frequency.histogram.view.js"></script>
    <script src="assets/js/extensions/lib.fft.js"></script>
    <script src="assets/js/record.js"></script>
    <script src="assets/js/common.js"></script>
    <script src="assets/js/myjs.js?1225"></script>
</html>
